summaryrefslogtreecommitdiff
path: root/source4/script/tests/test_binding_string.sh
diff options
context:
space:
mode:
Diffstat (limited to 'source4/script/tests/test_binding_string.sh')
-rwxr-xr-xsource4/script/tests/test_binding_string.sh27
1 files changed, 3 insertions, 24 deletions
diff --git a/source4/script/tests/test_binding_string.sh b/source4/script/tests/test_binding_string.sh
index 27310a1c99..a7934789dc 100755
--- a/source4/script/tests/test_binding_string.sh
+++ b/source4/script/tests/test_binding_string.sh
@@ -13,28 +13,8 @@ password="$3"
domain="$4"
shift 4
-testit() {
- cmdline="$*"
- if ! $cmdline > test.$$ 2>&1; then
- cat test.$$;
- rm -f test.$$;
- echo "TEST FAILED - $cmdline";
- return 1;
- fi
- rm -f test.$$;
- return 0;
-}
-
-testok() {
- name=`basename $1`
- failed=$2
- if [ x"$failed" = x"0" ];then
- echo "ALL OK ($name)";
- else
- echo "$failed TESTS FAILED ($name)";
- fi
- exit $failed
-}
+incdir=`dirname $0`
+. $incdir/test_functions.sh
failed=0;
for I in "ncacn_np:$server" \
@@ -48,8 +28,7 @@ for I in "ncacn_np:$server" \
"308FB580-1EB2-11CA-923B-08002B1075A7@ncacn_np:$server" \
"308FB580-1EB2-11CA-923B-08002B1075A7@ncacn_ip_tcp:$server"
do
- echo Testing $I
- testit bin/smbtorture "$I" -U"$username"%"$password" -W $domain RPC-ECHO "$*" || failed=`expr $failed + 1`
+ testit "$I" bin/smbtorture "$I" -U"$username"%"$password" -W $domain RPC-ECHO "$*" || failed=`expr $failed + 1`
done
testok $0 $failed